Skip to main content

Unsetting the default tariff for a channel type

Last updated: 27 October 2026

Use the api/v1/tariffs/unset-default method to remove the default tariff for a channel type.

Rules for removing the default tariff​

  • Only the specified channel type loses its default tariff setting.
  • The previously assigned tariff’s isDefault value changes to false.
  • The tariff remains in the list of available tariffs, and the tariffs already assigned to channels don’t change.
  • After removing the default tariff, new channels don’t receive a tariff automatically. When registering a channel, select a tariff manually in the edna Pulse account.
  • Default tariff settings for other channel types don’t change.

Calling the method​

To remove the default tariff for a channel type using the api/v1/tariffs/unset-default method, send a POST request to https://app.edna.io/api/v1/tariffs/unset-default.

Request format​

{
"channelType": "string",
"tariffId": number
}

Request example​

The following requests produce the same result:

{
"channelType": "WHATSAPP",
"tariffId": 14
}
{
"channelType": "WHATSAPP",
"tariffId": null
}
{
"channelType": "WHATSAPP"
}

Request parameters​

ParameterData typeRequirementDescription
channelTypestringRequiredThe channel type for which the default tariff is removed.
Possible values:
- WHATSAPP;
- VIBER.
tariffIdnumberRequiredThe identifier of the tariff to remove as the default tariff for the channel type. To get the tariff identifier, use the api/v1/tariffs method — the id field. File IconRetrieving the list of available tariffs

Response format​

A successful request returns 204 No Content.

Checking the tariff removal​

To check which tariff has been removed as the default, get the list of tariffs for the required channel type using the api/v1/tariffs method.

File IconRetrieving the list of available tariffs

After removing the default tariff, the isDefault value will be false for all tariffs of this channel type.